Loading...
Searching...
No Matches
url_string_t Union Reference

Type to present either a parsed URL or string. More...

`#include <url.h>`

Collaboration diagram for url_string_t:
[legend]

## Data Fields

char | us_str [URL_MAXLEN]
| URL as a string.
url_t | us_url [1]
| Parsed URL.

## Detailed Description

Type to present either a parsed URL or string.

The union type url_string_t is used to pass a parsed URL or string as a parameter. The URL_STRING_P() checks if a passed pointer points to a string or a parsed URL. Testing requires that the first character of the string is nonzero. Use URL_STRING_MAKE() to properly cast a string pointer as a pointer to url_string_t.

Sofia-SIP 1.12.11devel - Copyright (C) 2006 Nokia Corporation. All rights reserved. Licensed under the terms of the GNU Lesser General Public License.